Package com.smartgwt.client.widgets.form.fields.events

# Interface HasIconClickHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AIDataQuestionItem`, `AutoFitTextAreaItem`, `BlurbItem`, `BooleanItem`, `ButtonItem`, `CancelItem`, `CanvasItem`, `CheckboxItem`, `ColorItem`, `ColorPickerItem`, `ComboBoxItem`, `DateItem`, `DateRangeItem`, `DateTimeItem`, `DoubleItem`, `FileItem`, `FloatItem`, `FormItem`, `HeaderItem`, `HiddenItem`, `IntegerItem`, `IPickTreeItem`, `LinkItem`, `MiniDateRangeItem`, `MultiComboBoxItem`, `MultiFileItem`, `MultiPickerItem`, `NativeCheckboxItem`, `PasswordItem`, `PickTreeItem`, `PresetCriteriaItem`, `PresetDateRangeItem`, `RadioGroupItem`, `RelativeDateItem`, `ResetItem`, `RichTextItem`, `RowSpacerItem`, `SavedSearchItem`, `SectionItem`, `SelectItem`, `SelectOtherItem`, `SetFilterItem`, `ShuttleItem`, `SliderItem`, `SpacerItem`, `SpinnerItem`, `StaticTextItem`, `SubmitItem`, `TextAreaItem`, `TextItem`, `TimeItem`, `ToggleItem`, `ToolbarItem`, `UploadItem`, `ViewFileItem`

public interface HasIconClickHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addIconClickHandler(IconClickHandler handler)`
  Notification method called when the user clicks on a form item icon.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addIconClickHandler

    HandlerRegistration addIconClickHandler(IconClickHandler handler)
    Notification method called when the user clicks on a form item icon.

    The icon's `FormItemIcon.formItemClick()` method if any is called first. Then, if the clicked icon is the `picker icon`, the `FormItem.pickerIconClick()` method is called. Then, this method is called.

    This event may be cancelled to suppress the `FormItem.click()` handler from also firing in response to the user interaction.

    Parameters:
      `handler` - the iconClick handler
    Returns:
      `HandlerRegistration` used to remove this handler